<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>xAPI Definitions Parser: xAPI_Definitions_Parser.Definitions.xAPIContext Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">xAPI Definitions Parser
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacex_a_p_i___definitions___parser.html">xAPI_Definitions_Parser</a></li><li class="navelem"><a class="el" href="namespacex_a_p_i___definitions___parser_1_1_definitions.html">Definitions</a></li><li class="navelem"><a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_context.html">xAPIContext</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#properties">Properties</a> &#124;
<a href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_context-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">xAPI_Definitions_Parser.Definitions.xAPIContext Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>An xAPI context  
 <a href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_context.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a318f250e0a26f2850087c1e21e45fb0f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_context.html#a318f250e0a26f2850087c1e21e45fb0f">xAPIContext</a> (string name)</td></tr>
<tr class="memdesc:a318f250e0a26f2850087c1e21e45fb0f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Creates an <a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_context.html" title="An xAPI context">xAPIContext</a>  <a href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_context.html#a318f250e0a26f2850087c1e21e45fb0f">More...</a><br /></td></tr>
<tr class="separator:a318f250e0a26f2850087c1e21e45fb0f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a777165631a890808ea5973796c5c9b5a"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_context.html#a777165631a890808ea5973796c5c9b5a">AddActivity</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_activity.html">xAPIActivity</a> activity)</td></tr>
<tr class="memdesc:a777165631a890808ea5973796c5c9b5a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Adds an activity to the context  <a href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_context.html#a777165631a890808ea5973796c5c9b5a">More...</a><br /></td></tr>
<tr class="separator:a777165631a890808ea5973796c5c9b5a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a10ec5f0c759cf98451324d922c01e5d0"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_context.html#a10ec5f0c759cf98451324d922c01e5d0">AddSubActivities</a> (string name, <a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definitions_list.html">xAPIDefinitionsList</a>&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_activity.html">xAPIActivity</a> &gt; activities)</td></tr>
<tr class="memdesc:a10ec5f0c759cf98451324d922c01e5d0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Adds sub activities to the context  <a href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_context.html#a10ec5f0c759cf98451324d922c01e5d0">More...</a><br /></td></tr>
<tr class="separator:a10ec5f0c759cf98451324d922c01e5d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4c3d82b20c3cf23c20872cd01439036b"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_context.html#a4c3d82b20c3cf23c20872cd01439036b">AddVerb</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_verb.html">xAPIVerb</a> verb)</td></tr>
<tr class="memdesc:a4c3d82b20c3cf23c20872cd01439036b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Adds a verb to the context  <a href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_context.html#a4c3d82b20c3cf23c20872cd01439036b">More...</a><br /></td></tr>
<tr class="separator:a4c3d82b20c3cf23c20872cd01439036b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9cb204b106f984b338798cd4e9200aa2"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_context.html#a9cb204b106f984b338798cd4e9200aa2">AddSubVerbs</a> (string name, <a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definitions_list.html">xAPIDefinitionsList</a>&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_verb.html">xAPIVerb</a> &gt; verbs)</td></tr>
<tr class="memdesc:a9cb204b106f984b338798cd4e9200aa2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Adds sub verbs to the context  <a href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_context.html#a9cb204b106f984b338798cd4e9200aa2">More...</a><br /></td></tr>
<tr class="separator:a9cb204b106f984b338798cd4e9200aa2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a414d736a3d627e7b64c6f0319cfbb787"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_context.html#a414d736a3d627e7b64c6f0319cfbb787">AddExtension</a> (string type, <a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_extension.html">xAPIExtension</a> extension)</td></tr>
<tr class="memdesc:a414d736a3d627e7b64c6f0319cfbb787"><td class="mdescLeft">&#160;</td><td class="mdescRight">Adds an extension to the context  <a href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_context.html#a414d736a3d627e7b64c6f0319cfbb787">More...</a><br /></td></tr>
<tr class="separator:a414d736a3d627e7b64c6f0319cfbb787"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a27a5090ccf25b7ebaaeafbaea171b4d0"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_context.html#a27a5090ccf25b7ebaaeafbaea171b4d0">AddSubExtensions</a> (string type, string name, <a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definitions_list.html">xAPIDefinitionsList</a>&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_extension.html">xAPIExtension</a> &gt; extensions)</td></tr>
<tr class="memdesc:a27a5090ccf25b7ebaaeafbaea171b4d0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Adds sub extensions to the context  <a href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_context.html#a27a5090ccf25b7ebaaeafbaea171b4d0">More...</a><br /></td></tr>
<tr class="separator:a27a5090ccf25b7ebaaeafbaea171b4d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="properties" name="properties"></a>
Properties</h2></td></tr>
<tr class="memitem:a58ef60d885207117eb612e39c37d23e3"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_context.html#a58ef60d885207117eb612e39c37d23e3">Name</a><code> [get]</code></td></tr>
<tr class="memdesc:a58ef60d885207117eb612e39c37d23e3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name of the context  <a href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_context.html#a58ef60d885207117eb612e39c37d23e3">More...</a><br /></td></tr>
<tr class="separator:a58ef60d885207117eb612e39c37d23e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9aacd642a25a1b02fe93faa4fdec4efe"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definitions_list.html">xAPIDefinitionsList</a>&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_activity.html">xAPIActivity</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_context.html#a9aacd642a25a1b02fe93faa4fdec4efe">Activities</a> = new <a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definitions_list.html">xAPIDefinitionsList</a>&lt;<a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_activity.html">xAPIActivity</a>&gt;()<code> [get, set]</code></td></tr>
<tr class="memdesc:a9aacd642a25a1b02fe93faa4fdec4efe"><td class="mdescLeft">&#160;</td><td class="mdescRight">Activities in the context  <a href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_context.html#a9aacd642a25a1b02fe93faa4fdec4efe">More...</a><br /></td></tr>
<tr class="separator:a9aacd642a25a1b02fe93faa4fdec4efe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a309fbaf227e90570424e70430e81a65f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definitions_list.html">xAPIDefinitionsList</a>&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_verb.html">xAPIVerb</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_context.html#a309fbaf227e90570424e70430e81a65f">Verbs</a> = new <a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definitions_list.html">xAPIDefinitionsList</a>&lt;<a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_verb.html">xAPIVerb</a>&gt;()<code> [get, set]</code></td></tr>
<tr class="memdesc:a309fbaf227e90570424e70430e81a65f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Verbs in the context  <a href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_context.html#a309fbaf227e90570424e70430e81a65f">More...</a><br /></td></tr>
<tr class="separator:a309fbaf227e90570424e70430e81a65f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af1e866187fee5a791be8c7b73ec41e86"><td class="memItemLeft" align="right" valign="top">IDictionary&lt; string, <a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definitions_list.html">xAPIDefinitionsList</a>&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_extension.html">xAPIExtension</a> &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_context.html#af1e866187fee5a791be8c7b73ec41e86">Extensions</a> = new Dictionary&lt;string, <a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definitions_list.html">xAPIDefinitionsList</a>&lt;<a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_extension.html">xAPIExtension</a>&gt;&gt;()<code> [get, set]</code></td></tr>
<tr class="memdesc:af1e866187fee5a791be8c7b73ec41e86"><td class="mdescLeft">&#160;</td><td class="mdescRight">Extensions in the context  <a href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_context.html#af1e866187fee5a791be8c7b73ec41e86">More...</a><br /></td></tr>
<tr class="separator:af1e866187fee5a791be8c7b73ec41e86"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac4c085858115013929a612c4e7abb417"><td class="memItemLeft" align="right" valign="top">ICollection&lt; string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_context.html#ac4c085858115013929a612c4e7abb417">ExtensionTypes</a><code> [get]</code></td></tr>
<tr class="memdesc:ac4c085858115013929a612c4e7abb417"><td class="mdescLeft">&#160;</td><td class="mdescRight">Extension types in the context  <a href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_context.html#ac4c085858115013929a612c4e7abb417">More...</a><br /></td></tr>
<tr class="separator:ac4c085858115013929a612c4e7abb417"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >An xAPI context </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a318f250e0a26f2850087c1e21e45fb0f" name="a318f250e0a26f2850087c1e21e45fb0f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a318f250e0a26f2850087c1e21e45fb0f">&#9670;&nbsp;</a></span>xAPIContext()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">xAPI_Definitions_Parser.Definitions.xAPIContext.xAPIContext </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Creates an <a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_context.html" title="An xAPI context">xAPIContext</a> </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">name</td><td>Name of the context</td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a777165631a890808ea5973796c5c9b5a" name="a777165631a890808ea5973796c5c9b5a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a777165631a890808ea5973796c5c9b5a">&#9670;&nbsp;</a></span>AddActivity()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool xAPI_Definitions_Parser.Definitions.xAPIContext.AddActivity </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_activity.html">xAPIActivity</a>&#160;</td>
          <td class="paramname"><em>activity</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Adds an activity to the context </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">activity</td><td>Activity</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>True, if it was successfully added, false, if not</dd></dl>

</div>
</div>
<a id="a414d736a3d627e7b64c6f0319cfbb787" name="a414d736a3d627e7b64c6f0319cfbb787"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a414d736a3d627e7b64c6f0319cfbb787">&#9670;&nbsp;</a></span>AddExtension()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool xAPI_Definitions_Parser.Definitions.xAPIContext.AddExtension </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_extension.html">xAPIExtension</a>&#160;</td>
          <td class="paramname"><em>extension</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Adds an extension to the context </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">extension</td><td>Extension</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>True, if it was successfully added, false, if not</dd></dl>

</div>
</div>
<a id="a10ec5f0c759cf98451324d922c01e5d0" name="a10ec5f0c759cf98451324d922c01e5d0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a10ec5f0c759cf98451324d922c01e5d0">&#9670;&nbsp;</a></span>AddSubActivities()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool xAPI_Definitions_Parser.Definitions.xAPIContext.AddSubActivities </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definitions_list.html">xAPIDefinitionsList</a>&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_activity.html">xAPIActivity</a> &gt;&#160;</td>
          <td class="paramname"><em>activities</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Adds sub activities to the context </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">name</td><td>Name</td></tr>
    <tr><td class="paramname">activities</td><td>Activities</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Number of added activities</dd></dl>

</div>
</div>
<a id="a27a5090ccf25b7ebaaeafbaea171b4d0" name="a27a5090ccf25b7ebaaeafbaea171b4d0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a27a5090ccf25b7ebaaeafbaea171b4d0">&#9670;&nbsp;</a></span>AddSubExtensions()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool xAPI_Definitions_Parser.Definitions.xAPIContext.AddSubExtensions </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definitions_list.html">xAPIDefinitionsList</a>&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_extension.html">xAPIExtension</a> &gt;&#160;</td>
          <td class="paramname"><em>extensions</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Adds sub extensions to the context </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">type</td><td>Extension type</td></tr>
    <tr><td class="paramname">name</td><td>Name</td></tr>
    <tr><td class="paramname">extensions</td><td>Extensions</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Number of added extensions</dd></dl>

</div>
</div>
<a id="a9cb204b106f984b338798cd4e9200aa2" name="a9cb204b106f984b338798cd4e9200aa2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9cb204b106f984b338798cd4e9200aa2">&#9670;&nbsp;</a></span>AddSubVerbs()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool xAPI_Definitions_Parser.Definitions.xAPIContext.AddSubVerbs </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definitions_list.html">xAPIDefinitionsList</a>&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_verb.html">xAPIVerb</a> &gt;&#160;</td>
          <td class="paramname"><em>verbs</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Adds sub verbs to the context </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">name</td><td>Name</td></tr>
    <tr><td class="paramname">verbs</td><td>Verbs</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Number of added verbs</dd></dl>

</div>
</div>
<a id="a4c3d82b20c3cf23c20872cd01439036b" name="a4c3d82b20c3cf23c20872cd01439036b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4c3d82b20c3cf23c20872cd01439036b">&#9670;&nbsp;</a></span>AddVerb()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool xAPI_Definitions_Parser.Definitions.xAPIContext.AddVerb </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_verb.html">xAPIVerb</a>&#160;</td>
          <td class="paramname"><em>verb</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Adds a verb to the context </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">verb</td><td>Verb</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>True, if it was successfully added, false, if not</dd></dl>

</div>
</div>
<h2 class="groupheader">Property Documentation</h2>
<a id="a9aacd642a25a1b02fe93faa4fdec4efe" name="a9aacd642a25a1b02fe93faa4fdec4efe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9aacd642a25a1b02fe93faa4fdec4efe">&#9670;&nbsp;</a></span>Activities</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definitions_list.html">xAPIDefinitionsList</a>&lt;<a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_activity.html">xAPIActivity</a>&gt; xAPI_Definitions_Parser.Definitions.xAPIContext.Activities = new <a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definitions_list.html">xAPIDefinitionsList</a>&lt;<a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_activity.html">xAPIActivity</a>&gt;()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span><span class="mlabel">set</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Activities in the context </p>

</div>
</div>
<a id="af1e866187fee5a791be8c7b73ec41e86" name="af1e866187fee5a791be8c7b73ec41e86"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af1e866187fee5a791be8c7b73ec41e86">&#9670;&nbsp;</a></span>Extensions</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">IDictionary&lt;string, <a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definitions_list.html">xAPIDefinitionsList</a>&lt;<a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_extension.html">xAPIExtension</a>&gt; &gt; xAPI_Definitions_Parser.Definitions.xAPIContext.Extensions = new Dictionary&lt;string, <a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definitions_list.html">xAPIDefinitionsList</a>&lt;<a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_extension.html">xAPIExtension</a>&gt;&gt;()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span><span class="mlabel">set</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Extensions in the context </p>

</div>
</div>
<a id="ac4c085858115013929a612c4e7abb417" name="ac4c085858115013929a612c4e7abb417"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac4c085858115013929a612c4e7abb417">&#9670;&nbsp;</a></span>ExtensionTypes</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ICollection&lt;string&gt; xAPI_Definitions_Parser.Definitions.xAPIContext.ExtensionTypes</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Extension types in the context </p>

</div>
</div>
<a id="a58ef60d885207117eb612e39c37d23e3" name="a58ef60d885207117eb612e39c37d23e3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a58ef60d885207117eb612e39c37d23e3">&#9670;&nbsp;</a></span>Name</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string xAPI_Definitions_Parser.Definitions.xAPIContext.Name</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Name of the context </p>

</div>
</div>
<a id="a309fbaf227e90570424e70430e81a65f" name="a309fbaf227e90570424e70430e81a65f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a309fbaf227e90570424e70430e81a65f">&#9670;&nbsp;</a></span>Verbs</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definitions_list.html">xAPIDefinitionsList</a>&lt;<a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_verb.html">xAPIVerb</a>&gt; xAPI_Definitions_Parser.Definitions.xAPIContext.Verbs = new <a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definitions_list.html">xAPIDefinitionsList</a>&lt;<a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_verb.html">xAPIVerb</a>&gt;()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span><span class="mlabel">set</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Verbs in the context </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>xAPI Definitions Parser/Definitions/<a class="el" href="x_a_p_i_context_8cs.html">xAPIContext.cs</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
